Version Mismatch - No motion/event detection

Forum for questions and support relating to the 1.30.x releases only.
Post Reply
Rick Harris
Posts: 4
Joined: Sun Aug 07, 2016 6:55 pm

Version Mismatch - No motion/event detection

Post by Rick Harris » Sun Aug 07, 2016 7:50 pm

I was running Fedora 22 with Apache and ZoneMinder 1.24.x , and my system drive filled to 100%. ZoneMinder broke.. I freed up drive space, but Zoneminder remained broken, and I couldn't get it working again. I upgraded Fedora to 23, and did a clean yum/dnf install of ZoneMinder 1.30 release from zmrepos, and did everything instructed in /usr/share/doc/zoneminder/README.Fedora . Finally got the video feed working from the control panel, but ZoneMinder does not detect motion.

The version displayed on the web page is v1.28.1. I click on it and see this - "Version mismatch, system is version 1.28.1, database is 1.30.0. Please run zmupdate.pl to update." I ran zmupdate.pl and got this - "Database already at version 1.30.0, update aborted."


2016-08-07 15:07:18.557987 web_js 1166 ERR getStreamCmdResponse stream error: socket_sendto( /var/lib/zoneminder/sock/zms-408483s.sock ) failed: No such file or directory - checkStreamForErrors() ?view=watch
2016-08-07 15:07:18.262661 web_php 1166 ERR socket_sendto( /var/lib/zoneminder/sock/zms-408483s.sock ) failed: No such file or directory includes/functions.php 2330
2016-08-07 15:06:58.520413 web_js 1166 ERR getStreamCmdResponse stream error: socket_sendto( /var/lib/zoneminder/sock/zms-408483s.sock ) failed: No such file or directory - checkStreamForErrors() ?view=watch
2016-08-07 15:06:58.134672 web_php 1166 ERR socket_sendto( /var/lib/zoneminder/sock/zms-408483s.sock ) failed: No such file or directory includes/functions.php 2330
2016-08-07 15:06:38.395228 web_js 1166 ERR getStreamCmdResponse stream error: socket_sendto( /var/lib/zoneminder/sock/zms-408483s.sock ) failed: No such file or directory - checkStreamForErrors() ?view=watch
2016-08-07 15:06:38.025645 web_php 1166 ERR socket_sendto( /var/lib/zoneminder/sock/zms-408483s.sock ) failed: No such file or directory includes/functions.php 2330
2016-08-07 15:06:18.348338 web_js 1166 ERR getStreamCmdResponse stream error: socket_sendto( /var/lib/zoneminder/sock/zms-408483s.sock ) failed: No such file or directory - checkStreamForErrors() ?view=watch
2016-08-07 15:06:17.937170 web_php 1166 ERR socket_sendto( /var/lib/zoneminder/sock/zms-408483s.sock ) failed: No such file or directory includes/functions.php 2330
2016-08-07 15:05:58.201891 web_js 1166 ERR getStreamCmdResponse stream error: socket_sendto( /var/lib/zoneminder/sock/zms-408483s.sock ) failed: No such file or directory - checkStreamForErrors() ?view=watch
2016-08-07 15:05:57.843668 web_php 1166 ERR socket_sendto( /var/lib/zoneminder/sock/zms-408483s.sock ) failed: No such file or directory includes/functions.php 2330
2016-08-07 15:05:49.020191 zma_m1 8352 INF Monitor1: 3000 - Analysing at 7.69 fps zm_monitor.cpp 1287


There is however a socket file named "/var/lib/zoneminder/sock/zms-408483w.sock"

Thanks.

User avatar
knight-of-ni
Posts: 2226
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: Version Mismatch - No motion/event detection

Post by knight-of-ni » Sun Aug 07, 2016 11:13 pm

Your system is not clean.
Version mismatch, system is version 1.28.1, database is 1.30.0
This means that your system is finding stale zoneminder files from a previous version of zoneminder.
You should uninstall the zoneminder package currently on your system, then manually search for and delete all files related to zoneminder: init scripts, perl scripts, php files, zm.conf. You will need to look under both the /usr and /usr/local prefix.

Once the system is clean, then install zoneminder from zmrepo, following the steps in the readme.

Since you are using Fedora, you need to exclude the version of zoneminder found in the Fedora repo per the note at the bottom of the zmrepo site. Otherwise, you will end up with Fedora's version of zoneminder, which does not support ffmpeg or libvlc.
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

User avatar
knight-of-ni
Posts: 2226
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: Version Mismatch - No motion/event detection

Post by knight-of-ni » Mon Aug 08, 2016 12:02 pm

I took a look at the version of ZoneMinder in the Fedora repos and it is 1.28.1, which means the problem you've got is likely the second issue described in my previous post, rather than the first.

Here is how you can tell:

Code: Select all

[abauer@airborne24b3d9 ~]$ rpm -qi zoneminder
Name        : zoneminder
Version     : 1.30.0
Release     : 3.fc24
Architecture: x86_64
Install Date: Mon 01 Aug 2016 12:12:53 PM CDT
Group       : System Environment/Daemons
Size        : 31823618
License     : GPLv2+ and LGPLv2+ and MIT
Signature   : RSA/SHA256, Thu 28 Jul 2016 07:05:50 PM CDT, Key ID d07cb45027297b34
Source RPM  : zoneminder-1.30.0-3.fc24.src.rpm
Build Date  : Thu 28 Jul 2016 07:02:20 PM CDT
Build Host  : localhost.localdomain
Relocations : (not relocatable)
URL         : http://www.zoneminder.com/
Summary     : A camera monitoring and analysis tool
Description :
ZoneMinder is a set of applications which is intended to provide a complete
solution allowing you to capture, analyse, record and monitor any cameras you
have attached to a Linux based machine. It is designed to run on kernels which
support the Video For Linux (V4L) interface and has been tested with cameras
attached to BTTV cards, various USB cameras and IP network cameras. It is
designed to support as many cameras as you can attach to your computer without
too much degradation of performance.
See how the Build Host says localhost and the Key ID is d07cb45027297b34? If the build host or key id says something different on your system, then you are not using zoneminder from zmrepo.
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

Rick Harris
Posts: 4
Joined: Sun Aug 07, 2016 6:55 pm

Re: Version Mismatch - No motion/event detection

Post by Rick Harris » Mon Aug 08, 2016 4:51 pm

I removed the ZoneMinder package, consisting of 8383 files. Deleted zm.conf, the sql database, and any zm* file on the system. I did a new installation, following the instructions in README.Fedora. Same thing...it still shows "Version mismatch, system is version 1.28.1, database is 1.30.0."

I removed ZM from the system and upgraded to Fedora 24. Followed the instructions to a tee, and still get v1.28.1. Here's the dnf install output, clearly showing it was downloading from zmrepo -

Last metadata expiration check: 0:01:17 ago on Mon Aug 8 10:56:14 2016.
Dependencies resolved.
=================================================================================================================================================================================
Package Arch Version Repository Size
=================================================================================================================================================================================
Installing:
zoneminder x86_64 1.30.0-3.fc24 zmrepo 7.4 M

Transaction Summary
=================================================================================================================================================================================
Install 1 Package

Total download size: 7.4 M
Installed size: 30 M
Is this ok [y/N]: y
Downloading Packages:
zoneminder-1.30.0-3.fc24.x86_64.rpm 232 kB/s | 7.4 MB 00:32


And here is the output from rpm -qi zoneminder -

Name : zoneminder
Version : 1.30.0
Release : 3.fc24
Architecture: x86_64
Install Date: Mon 08 Aug 2016 10:58:41 AM EDT
Group : System Environment/Daemons
Size : 31823618
License : GPLv2+ and LGPLv2+ and MIT
Signature : RSA/SHA256, Thu 28 Jul 2016 08:05:50 PM EDT, Key ID d07cb45027297b34
Source RPM : zoneminder-1.30.0-3.fc24.src.rpm
Build Date : Thu 28 Jul 2016 08:02:20 PM EDT
Build Host : localhost.localdomain

Thanks.

Rick Harris
Posts: 4
Joined: Sun Aug 07, 2016 6:55 pm

Re: Version Mismatch - No motion/event detection

Post by Rick Harris » Mon Aug 08, 2016 5:18 pm

I found the problem. The earlier installation used /var/www/html as the document root. Changed it to /usr/share/zoneminder/www and I'm seeing v1.30.

Sorry to trouble you.

User avatar
knight-of-ni
Posts: 2226
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: Version Mismatch - No motion/event detection

Post by knight-of-ni » Mon Aug 08, 2016 5:21 pm

Then you've still got stale files on your system.

The version number in php comes from ZM_VERSION which is defined at build time and set in the file includes/config.php:
https://github.com/ZoneMinder/ZoneMinde ... php.in#L26

config.php sits under the folder pointed to by your Apache configuration. You can take apart the rpm (its just a tar file) and see that ZM_VERSION says 1.30.0. You are going to have to dig a little deeper and figure why you've got an old config.php file on your system which Apache is finding. There are likely more files than just that one.
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

User avatar
knight-of-ni
Posts: 2226
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: Version Mismatch - No motion/event detection

Post by knight-of-ni » Mon Aug 08, 2016 5:21 pm

UPDATE: Great, glad you got it solved.

It would probably be a good idea to delete the old zoneminder files under /var/www/html
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

Rick Harris
Posts: 4
Joined: Sun Aug 07, 2016 6:55 pm

Re: Version Mismatch - No motion/event detection

Post by Rick Harris » Mon Aug 08, 2016 8:52 pm

I deleted them. Was missing them in searches because they weren't in directories named "zoneminder' or "zm"
/var/www/html/index.php
/var/www/html/api/index.php
/var/www/html/api/app/index.php
/var/www/html/api/app/webroot/index.php
/var/www/html/api/lib/Cake/Console/Templates/skel/index.php
/var/www/html/api/lib/Cake/Console/Templates/skel/webroot/index.php

Thanks again. BTW - I like the look and feel of 1.30. Great job!

Post Reply

Who is online

Users browsing this forum: No registered users and 8 guests